#include "mainwidget.h"
#include "glwidget.h"
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QSlider>

MainWidget::MainWidget(QWidget *parent)
: QWidget(parent)
{

    GLWidget* w = new GLWidget();
    QLayout* layout = new QHBoxLayout();
    QLayout* layout2 = new QVBoxLayout();
    layout->addWidget(w);
    QSlider* slider = new QSlider(Qt::Vertical);
    slider->setRange(0, 1);
    layout->addWidget(slider);
    layout2->addItem(layout);

    this->setLayout(layout2);

    connect(slider, SIGNAL(valueChanged(int)), w, SLOT(changeLoftShape(int)));
}

MainWidget::~MainWidget()
{
}

QSize
MainWidget::sizeHint() const
{
    return QSize(640, 800);
}
